import Cookies from 'js-cookie';

const getCookieName = id => `dialog_api_seen_${id}`;

const notSeenYet = element => !Cookies.get(getCookieName(element.id));

const show = element => {
  Drupal.behaviors.dialog_api.dialogs[element.id] = Drupal.dialog(element).showModal();
};

Drupal.behaviors.dialog_api = {
  attach: (context) => {
    Object.values(context.querySelectorAll('#block-dialog-region .block'))
      .filter(notSeenYet)
      .forEach(show);
  },
  dialogs: {}
};

jQuery(window).on('dialog:afterclose', (event, dialog, element) => {
  Cookies.set(getCookieName(element.get(0).id), 1);
});
